import { Component, OnInit, Input } from '@angular/core';
import { Identity } from '../identity';
import { Router, ActivatedRoute, ParamMap } from '@angular/router';
import { TesService } from '../tes.service';
import { BehaviorSubject, Subscription  } from 'rxjs';
import { filter  } from 'rxjs/operators';
import {Strudelapp} from '../strudelapp';
import {Health} from '../computesite';

@Component({
  selector: 'app-accountinfo',
  templateUrl: './accountinfo.component.html',
  styleUrls: ['./accountinfo.component.css']
})
export class AccountinfoComponent implements OnInit {
  @Input() identity$: BehaviorSubject<Identity>;
  private subscriptions: Subscription[];
  @Input() app$: BehaviorSubject<Strudelapp>;

  constructor(
                private router: Router,
                public tesService: TesService,
  ) { 
    this.subscriptions = [];

  }

  ngOnInit() {
  }

  cssClass(h) {
    if (h.stat == 'error')
      return 'health-error';
    if (h.stat == 'warn')
      return 'health-warn';
    return 'health-ok';
  }


  calculateCols(data) {
    return data.map(function(r) { return r.key });
  }

  humanKBytes(n: number) {
    if (n > 1024*1024*1024) {
      let v = n/1024/1024/1024;
      return v.toFixed(0)+'TB';
    }
    if (n > 1024*1024) {
      let v = n/1024/1024;
      return v.toFixed(0)+'GB';
    }
    if (n > 1024) {
      let v = n/1024;
      return v.toFixed(0)+'MB';
    }
    return '0 MB';
  }

  navLogin(o) {
    if (o == null) {
      return
    }
    if (o.length == 0) {
      this.router.navigate(['/login']);
    } else {
    }
  }

}
